
Figure - Bug #119170
【AF】【DVT3】【Monkey】Monkey跑机24H后，偶现Monkey停止，设备会进入屏保，但是无法熄屏
2023-08-10 11:13 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-08-10

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: DB_0805

Resolution: WORKSFORME Degrated: No

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 由于网易云音乐申请了WakeLock，没有释放导致不息屏。三方应用无需处理

Description

【测试步骤】

1. 烧写0805 DB版本

2. 运行Monkey

3. 第二天收集结果

【预期结果】

3 Monkey正常运行，

【实际结果】

3 Monkey异常停止后，设备会进入屏保，但是无法熄屏，且音量调节条一直显示不消失

History

#1 - 2023-08-10 11:13 - 移动测试一组_CDTS 刘强

- Subject changed from 【AF】【DVT3】【Monkey】Monkey跑机24H后，偶现Monkey设备会进入屏保，但是无法熄屏 to 【AF】【DVT3】【Monkey

】Monkey跑机24H后，偶现Monkey停止，设备会进入屏保，但是无法熄屏

#2 - 2023-08-11 10:16 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#3 - 2023-08-11 18:20 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to WORKSFORME

- Degrated changed from -- to No

- Root cause set to 由于网易云音乐申请了WakeLock，没有释放导致不息屏。三方应用无需处理

【当前状态】

已分析出不息屏的原因

音量条不消失问题已在jira处理

【我的分析】

由于网易云音乐申请了WakeLock，没有释放导致不息屏。

FSEM_000470_0730_0810072217/logcat/000470_persist_02508_230810_071912.log:08-10 07:19:14.511  1198  1904 D PowerManagerService:

handleWakeLockDeath: lock=61509345 [com.netease.cloudmusic.module.player.NeteaseAudioPlayer]
FSEM_000470_0730_0810072217/logcat/000470_persist_02507_230810_071911.log:08-10 07:19:12.102  1198 24425 D PowerManagerService:

acquireWakeLockInternal: lock=61509345, flags=0x20000001, tag="com.netease.cloudmusic.module.player.NeteaseAudioPlayer", ws=null, uid=10108,

pid=27704

日志中只有申请wacklock，没有释放

【结论】

三方应用不规范问题，无需处理

#4 - 2023-08-11 18:21 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to 移动测试一组_CDTS 刘强

#5 - 2023-08-31 16:16 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

三方应用相关

#6 - 2023-08-31 16:16 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
